//go:build ignore

package postgres

import (
	"fmt"
	"testing"

	"git.unistack.org/unistack-org/pkgdash/internal/models"
)

func TestGenerate(t *testing.T) {
	m := []models.Module{
		{
			ID:          1,
			Name:        "test",
			Version:     "1.2.3",
			Package:     2,
			LastVersion: "23.31",
		},
		{
			ID:          1,
			Name:        "321test",
			Version:     "1.3",
			Package:     4,
			LastVersion: "2111.31",
		},
		{
			ID:          1,
			Name:        "testabcd",
			Version:     "1.2.3",
			Package:     2,
			LastVersion: "153453.31",
		},
	}

	str := generateQuery(m)

	fmt.Println(str)
}
